
Application: gvSIG desktop - gvSIG bugs #4230
Falla al dibujar la capa de ferrocarriles de andalucia.
06/15/2016 10:43 PM - Joaquín  del Cerro Murciano

Status: Closed % Done: 0%
Priority: Normal Spent time: 0.00 hour
Assignee:
Category:
Target version: 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT USABLE)
Severity: Major Add-on version:
gvSIG version: 2.3.0 Add-on build:
gvSIG build: 2427 Add-on resolve version:
Operative System: Add-on resolve build:
Keywords: Proyecto:
Has patch: Hito:
Add-on name: Unknown
Description

Si cargamos la capa de ferrocarriles de andalucia e intentamos hacer un zoom a la mitad norte de la capa, falla y no la pinta dejando
la capa deshabilitada. En general si vamos jugando con el zoom de la capa en distintas puntos va fallando a veces.
Parece que en determinadas condiciones no es capaz de calcular en Envelope por defecto de una feature (getDefaultEnvelope).

ERROR [MapControl Drawer Worker] (NotificationManager.java:90) - There was errors loading from 'ferrocarrilAndal'.

- Problems drawing layer
- Invalid number of points in LineString (found 1 - must be 0 or >= 2)

org.gvsig.fmap.dal.exception.ReadException: There was errors loading from 'ferrocarrilAndal'.
        at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:320)
        at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayer(DefaultMapContextDrawer.java:549)
        at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.draw(DefaultMapContextDrawer.java:530)
        at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer$DrawList.drawLayers(DefaultMapContextDrawer.java:469)
        at org.gvsig.fmap.mapcontext.impl.DefaultMapContextDrawer.draw(DefaultMapContextDrawer.java:161)
        at org.gvsig.fmap.mapcontext.MapContext.draw(MapContext.java:1182)
        at org.gvsig.fmap.mapcontrol.MapControl$PaintingRequest.paint(MapControl.java:1344)
        at org.gvsig.fmap.mapcontrol.MapControl$Drawer$Worker.run(MapControl.java:1564)
        at java.lang.Thread.run(Thread.java:745)
Caused by: org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.LegendDrawingException: Problems drawing layer
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:455)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:338)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:143)
        at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:304)
        ... 8 more
Caused by: java.lang.IllegalArgumentException: Invalid number of points in LineString (found 1 - must be 0 or >= 2)
        at com.vividsolutions.jts.geom.LineString.init(LineString.java:102)
        at com.vividsolutions.jts.geom.LineString.<init>(LineString.java:93)
        at com.vividsolutions.jts.geom.GeometryFactory.createLineString(GeometryFactory.java:539)
        at org.gvsig.fmap.geom.jts.util.JTSUtils.createJTSLineString(JTSUtils.java:186)
        at org.gvsig.fmap.geom.jts.primitive.curve.line.AbstractLine.getJTS(AbstractLine.java:127)
        at org.gvsig.fmap.geom.jts.AbstractGeometry.getEnvelope(AbstractGeometry.java:331)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultEnvelope(DefaultFeature.java:299)
        at org.gvsig.fmap.mapcontext.layers.vectorial.IntersectsEnvelopeEvaluator.evaluate(IntersectsEnvelopeEvaluator.java:85)
        at org.gvsig.fmap.dal.
va:455)
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:338)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:143)
        at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:304)
        ... 8 more
Caused by: java.lang.IllegalArgumentException: Invalid number of points in LineString (found 1 - must be 0 or >= 2)
        at com.vividsolutions.jts.geom.LineString.init(LineString.java:102)
        at com.vividsolutions.jts.geom.LineString.<init>(LineString.java:93)
        at com.vividsolutions.jts.geom.GeometryFactory.createLineString(GeometryFactory.java:539)
        at org.gvsig.fmap.geom.jts.util.JTSUtils.createJTSLineString(JTSUtils.java:186)
        at org.gvsig.fmap.geom.jts.primitive.curve.line.AbstractLine.getJTS(AbstractLine.java:127)
        at org.gvsig.fmap.geom.jts.AbstractGeometry.getEnvelope(AbstractGeometry.java:331)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultEnvelope(DefaultFeature.java:299)
        at org.gvsig.fmap.mapcontext.layers.vectorial.IntersectsEnvelopeEvaluator.evaluate(IntersectsEnvelopeEvaluator.java:85)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.match(FilteredIterator.java:125)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:89)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java
)
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.draw(AbstractVectorialLegend.java:143)
        at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:304)
        ... 8 more
Caused by: java.lang.IllegalArgumentException: Invalid number of points in LineString (found 1 - must be 0 or >= 2)
        at com.vividsolutions.jts.geom.LineString.init(LineString.java:102)
        at com.vividsolutions.jts.geom.LineString.<init>(LineString.java:93)
        at com.vividsolutions.jts.geom.GeometryFactory.createLineString(GeometryFactory.java:539)
        at org.gvsig.fmap.geom.jts.util.JTSUtils.createJTSLineString(JTSUtils.java:186)
        at org.gvsig.fmap.geom.jts.primitive.curve.line.AbstractLine.getJTS(AbstractLine.java:127)
        at org.gvsig.fmap.geom.jts.AbstractGeometry.getEnvelope(AbstractGeometry.java:331)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultEnvelope(DefaultFeature.java:299)
        at org.gvsig.fmap.mapcontext.layers.vectorial.IntersectsEnvelopeEvaluator.evaluate(IntersectsEnvelopeEvaluator.java:85)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.match(FilteredIterator.java:125)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:89)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
        at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.doAccept(DefaultFeatureSet.java:331)
        at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
        at org.gvsig.tools.visitor.impl.A
)
        at org.gvsig.fmap.mapcontext.layers.vectorial.FLyrVect.draw(FLyrVect.java:304)
        ... 8 more
Caused by: java.lang.IllegalArgumentException: Invalid number of points in LineString (found 1 - must be 0 or >= 2)
        at com.vividsolutions.jts.geom.LineString.init(LineString.java:102)
        at com.vividsolutions.jts.geom.LineString.<init>(LineString.java:93)
        at com.vividsolutions.jts.geom.GeometryFactory.createLineString(GeometryFactory.java:539)
        at org.gvsig.fmap.geom.jts.util.JTSUtils.createJTSLineString(JTSUtils.java:186)
        at org.gvsig.fmap.geom.jts.primitive.curve.line.AbstractLine.getJTS(AbstractLine.java:127)
        at org.gvsig.fmap.geom.jts.AbstractGeometry.getEnvelope(AbstractGeometry.java:331)
        at org.gvsig.fmap.dal.feature.impl.DefaultFeature.getDefaultEnvelope(DefaultFeature.java:299)
        at
org.gvsig.fmap.mapcontext.layers.vectorial.IntersectsEnvelopeEvaluator.evaluate(IntersectsEnvelopeEvaluator.java:85)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.match(FilteredIterator.java:125)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.doNext(FilteredIterator.java:89)
        at org.gvsig.fmap.dal.feature.impl.featureset.FilteredIterator.hasNext(FilteredIterator.java:111)
        at org.gvsig.fmap.dal.feature.impl.featureset.DefaultFeatureSet.doAccept(DefaultFeatureSet.java:331)
        at org.gvsig.tools.visitor.impl.AbstractIndexedVisitable.doAccept(AbstractIndexedVisitable.java:63)
        at org.gvsig.tools.visitor.impl.AbstractVisitable.accept(AbstractVisitable.java:49)
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeaturesSingleLayer(AbstractVectorialLegend.java:547)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:529)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:447)
        ... 11 more


orialLegend.java:547)
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.drawFeatures(AbstractVectorialLegend.java:529)
        at org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:447)
        ... 11 more


java:529)
        at
org.gvsig.symbology.fmap.mapcontext.rendering.legend.impl.AbstractVectorialLegend.internalDraw(AbstractVectorialLegend.java:447)
        ... 11 more


va:447)
        ... 11 more

Associated revisions
Revision 42823 - 06/21/2016 10:58 AM - Francisco Díaz Carsí

refs #4230 Added method to check and fix line with only one point reading SHP files.

History
#1 - 06/20/2016 11:58 AM - Joaquín  del Cerro Murciano
- Assignee set to Francisco Díaz Carsí

#2 - 06/20/2016 12:07 PM - Joaquín  del Cerro Murciano
- File ferrocarrilAndal.shx added
- File ferrocarrilAndal.shp added
- File ferrocarrilAndal.dbf added

#3 - 06/21/2016 10:58 AM - Francisco Díaz Carsí
- Assignee deleted (Francisco Díaz Carsí)
- Status changed from New to Fixed

#4 - 06/21/2016 07:25 PM - Joaquín  del Cerro Murciano
- Target version changed from 2.3.0-2447-final (rev. org.gvsig.desktop-2.0.153) to 2.3.0-2430 (rev. org.gvsig.desktop-2.0.136, NOT USABLE)

#5 - 07/25/2016 10:40 AM - Álvaro Anguix
- Status changed from Fixed to Closed

Files
ferrocarrilAndal.dbf 87.2 KB 06/20/2016 Joaquín  del Cerro Murciano
ferrocarrilAndal.shp 105 KB 06/20/2016 Joaquín  del Cerro Murciano
ferrocarrilAndal.shx 7.82 KB 06/20/2016 Joaquín  del Cerro Murciano
